Martin L Roth has uploaded this change for review. ( https://review.coreboot.org/c/coreboot/+/72766 )
Change subject: util/scripts/testsoc: Pass arguments to abuild
......................................................................
util/scripts/testsoc: Pass arguments to abuild
This allows the user to pass one or more arguments through the testsoc
script to abuild.
Example:
testsoc -K SOC_AMD_CEZANNE -a "--skip_unset BOARD_GOOGLE_NIPPERKIN"
Signed-off-by: Martin Roth <gaumless(a)gmail.com>
Change-Id: Ic2bc8d656022560ed1eebf6eee0512d3633ebe84
---
M util/scripts/testsoc
1 file changed, 27 insertions(+), 3 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/66/72766/1
diff --git a/util/scripts/testsoc b/util/scripts/testsoc
index 81ce2f0..c093042 100755
--- a/util/scripts/testsoc
+++ b/util/scripts/testsoc
@@ -11,6 +11,9 @@
CPUS=$(nproc || echo "4")
NO_CROS=0
+# Extra arguments to pass to abuild
+ABUILD_ARGS=""
+
# Text STYLE variables
BOLD="\033[1m"
RED='\033[38;5;9m'
@@ -26,6 +29,7 @@
Usage: ${PROGNAME} [options]
Options:
+ -a | --abuild "<text>" Specify options to pass to abuild
-C | --cpus <num> Specify number of CPUs to use (currently ${CPUS})
-K | --kconfig <CONFIG> Search for Kconfig option
-n | --no_cros Don't run chromeos builds
@@ -66,7 +70,7 @@
local mblist
local mainboards=()
- if ! args="$(getopt -l version,help,debug,nocolor,kconfig:,cpus:,no_cros -o C:K:nDhV -- "$@")"; then
+ if ! args="$(getopt -l version,help,debug,nocolor,kconfig:,cpus:,no_cros,abuild: -o a:C:K:nDhV -- "$@")"; then
usage
exit 1
fi
@@ -75,6 +79,10 @@
while true; do
case "$1" in
+ -a | --abuild)
+ shift
+ ABUILD_ARGS=$1
+ ;;
-C | --cpus)
shift
CPUS=$1
@@ -155,7 +163,7 @@
rm -rf "./${OUTPUT}"
# Non-CrOS build
- if ! "${ABUILD}" --exitcode --cpus ${CPUS} --target "${board}"; then
+ if ! "${ABUILD}" --exitcode --cpus ${CPUS} --target "${board}" ${ABUILD_ARGS}; then
_echo_error "Error: Non-cros build of ${board} failed."
exit 1
fi
@@ -163,7 +171,7 @@
# CrOS build
if [[ ${NO_CROS} -eq 0 ]]; then
rm -rf "./${OUTPUT}"
- if ! "${ABUILD}" --exitcode --cpus ${CPUS} --target "${board}" --chromeos; then
+ if ! "${ABUILD}" --exitcode --cpus ${CPUS} --target "${board}" --chromeos ${ABUILD_ARGS}; then
_echo_error "Error: CrOS build of ${board} failed."
exit 1
fi
--
To view, visit https://review.coreboot.org/c/coreboot/+/72766
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: Ic2bc8d656022560ed1eebf6eee0512d3633ebe84
Gerrit-Change-Number: 72766
Gerrit-PatchSet: 1
Gerrit-Owner: Martin L Roth <gaumless(a)gmail.com>
Gerrit-MessageType: newchange
Attention is currently required from: Martin L Roth.
Hello build bot (Jenkins),
I'd like you to reexamine a change. Please visit
https://review.coreboot.org/c/coreboot/+/71730
to look at the new patch set (#3).
Change subject: util/abuild: Add flags to allow abuild to skip boards
......................................................................
util/abuild: Add flags to allow abuild to skip boards
This change adds 2 command line parameters, --skip_set and --skip_unset
that allows abuild to skip boards with particular Kconfig values either
set or not set.
Note that it only works on BOOL type variables.
This can be set on the abuild command line, or the JENKINS_ABUILD_OPT=
variable on the make command line.
Signed-off-by: Martin Roth <gaumless(a)gmail.com>
Change-Id: I43336484cf25f83065ec7facf45c123d831024b5
---
M util/abuild/abuild
1 file changed, 61 insertions(+), 3 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/30/71730/3
--
To view, visit https://review.coreboot.org/c/coreboot/+/71730
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: I43336484cf25f83065ec7facf45c123d831024b5
Gerrit-Change-Number: 71730
Gerrit-PatchSet: 3
Gerrit-Owner: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Martin L Roth <gaumless(a)gmail.com>
Gerrit-MessageType: newpatchset
Attention is currently required from: Patrick Rudolph, Maximilian Brune, Angel Pons, Julius Werner, David Milosevic.
Lean Sheng Tan has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/61960 )
Change subject: bsd/cb_err: Add error code for UEFI variable store
......................................................................
Patch Set 13: Code-Review+2
--
To view, visit https://review.coreboot.org/c/coreboot/+/61960
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: I6baea9fb138d1a2755d22a3d587105793adb9c90
Gerrit-Change-Number: 61960
Gerrit-PatchSet: 13
Gerrit-Owner: Patrick Rudolph <patrick.rudolph(a)9elements.com>
Gerrit-Reviewer: Angel Pons <th3fanbus(a)gmail.com>
Gerrit-Reviewer: Joey Madafferi <joeymadafferi(a)gmail.com>
Gerrit-Reviewer: Lean Sheng Tan <sheng.tan(a)9elements.com>
Gerrit-Reviewer: Maximilian Brune <maximilian.brune(a)9elements.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: David Milosevic <David.Milosevic(a)9elements.com>
Gerrit-CC: Julius Werner <jwerner(a)chromium.org>
Gerrit-CC: Patrick Rudolph
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Patrick Rudolph <patrick.rudolph(a)9elements.com>
Gerrit-Attention: Maximilian Brune <maximilian.brune(a)9elements.com>
Gerrit-Attention: Angel Pons <th3fanbus(a)gmail.com>
Gerrit-Attention: Julius Werner <jwerner(a)chromium.org>
Gerrit-Attention: Patrick Rudolph
Gerrit-Attention: David Milosevic <David.Milosevic(a)9elements.com>
Gerrit-Comment-Date: Fri, 03 Feb 2023 19:53:50 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
Attention is currently required from: Jason Glenesk, Matt DeVillier, Fred Reitberger.
Hello build bot (Jenkins), Jason Glenesk, Matt DeVillier, Fred Reitberger,
I'd like you to reexamine a change. Please visit
https://review.coreboot.org/c/coreboot/+/72773
to look at the new patch set (#3).
Change subject: soc/amd/phoenix/chipset.cb: update USB ports
......................................................................
soc/amd/phoenix/chipset.cb: update USB ports
Not exactly sure about the usb4_xhci controllers, but for now I assume
those will behave like any other XHCI controller.
Signed-off-by: Felix Held <felix-coreboot(a)felixheld.de>
Change-Id: I22384f58e245a1486793831d29d22e9c618f646c
---
M src/mainboard/amd/birman/devicetree_phoenix.cb
M src/mainboard/amd/mayan/devicetree_phoenix.cb
M src/soc/amd/phoenix/chipset.cb
3 files changed, 83 insertions(+), 37 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/73/72773/3
--
To view, visit https://review.coreboot.org/c/coreboot/+/72773
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: I22384f58e245a1486793831d29d22e9c618f646c
Gerrit-Change-Number: 72773
Gerrit-PatchSet: 3
Gerrit-Owner: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Reviewer: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-Reviewer: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Reviewer: Matt DeVillier <matt.devillier(a)amd.corp-partner.google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Attention: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Attention: Matt DeVillier <matt.devillier(a)amd.corp-partner.google.com>
Gerrit-Attention: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-MessageType: newpatchset
Attention is currently required from: Jason Glenesk, Matt DeVillier, Fred Reitberger.
Hello Jason Glenesk, Matt DeVillier, Fred Reitberger,
I'd like you to reexamine a change. Please visit
https://review.coreboot.org/c/coreboot/+/72771
to look at the new patch set (#4).
Change subject: soc/amd/phoenix/chipset.cb: add remaining PCI devices
......................................................................
soc/amd/phoenix/chipset.cb: add remaining PCI devices
The PCI Device ID Assignments table from PPRs #57019 Rev 1.65 and
PPR #57396 Rev 1.54 were used as a reference. Some devices will need to
have ops added in future patches. Since the xhci_2 device isn't there
any more, also drop it from the mainboard devicetrees. The actual USB
port configuration on xhci_0 and xhci_1 is updated in the next patch.
Signed-off-by: Felix Held <felix-coreboot(a)felixheld.de>
Change-Id: I49721bc44fa1e2a0118a8c3ac79a36aee64be687
---
M src/mainboard/amd/birman/devicetree_phoenix.cb
M src/mainboard/amd/mayan/devicetree_phoenix.cb
M src/soc/amd/phoenix/chipset.cb
3 files changed, 34 insertions(+), 22 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/71/72771/4
--
To view, visit https://review.coreboot.org/c/coreboot/+/72771
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: I49721bc44fa1e2a0118a8c3ac79a36aee64be687
Gerrit-Change-Number: 72771
Gerrit-PatchSet: 4
Gerrit-Owner: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Reviewer: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-Reviewer: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Reviewer: Matt DeVillier <matt.devillier(a)amd.corp-partner.google.com>
Gerrit-CC: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Attention: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Attention: Matt DeVillier <matt.devillier(a)amd.corp-partner.google.com>
Gerrit-Attention: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-MessageType: newpatchset
Attention is currently required from: Jason Glenesk, ritul guru, Martin Roth, Felix Held.
Hello build bot (Jenkins), Jason Glenesk, Matt DeVillier, Fred Reitberger,
I'd like you to reexamine a change. Please visit
https://review.coreboot.org/c/coreboot/+/72737
to look at the new patch set (#5).
Change subject: soc/amd/phoenix/chipset.cb: rename GPP bridges on device 2
......................................................................
soc/amd/phoenix/chipset.cb: rename GPP bridges on device 2
Now that the PCIe ports on device 1 are added, rename the aliases for
the PCIe ports on device 2 to have a common naming scheme. For phoenix
the device alias names are based on the device and function number the
bridge is connected to.
Signed-off-by: Felix Held <felix-coreboot(a)felixheld.de>
Change-Id: I5f5698408019bb9222b599dd78540ca1b187b56d
---
M src/mainboard/amd/birman/devicetree_phoenix.cb
M src/mainboard/amd/mayan/devicetree_phoenix.cb
M src/soc/amd/phoenix/chipset.cb
3 files changed, 28 insertions(+), 12 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/37/72737/5
--
To view, visit https://review.coreboot.org/c/coreboot/+/72737
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: I5f5698408019bb9222b599dd78540ca1b187b56d
Gerrit-Change-Number: 72737
Gerrit-PatchSet: 5
Gerrit-Owner: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Reviewer: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-Reviewer: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Reviewer: Matt DeVillier <matt.devillier(a)amd.corp-partner.google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Martin Roth <martin.roth(a)amd.corp-partner.google.com>
Gerrit-CC: ritul guru <ritul.bits(a)gmail.com>
Gerrit-Attention: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Attention: ritul guru <ritul.bits(a)gmail.com>
Gerrit-Attention: Martin Roth <martin.roth(a)amd.corp-partner.google.com>
Gerrit-Attention: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-MessageType: newpatchset
Attention is currently required from: Patrick Rudolph, Johnny Lin, Paul Menzel, Tim Chu.
Jonathan Zhang has uploaded a new patch set (#10) to the change originally created by Simon Chou. ( https://review.coreboot.org/c/coreboot/+/71968 )
Change subject: mb/intel: add ArcherCity CRB support
......................................................................
mb/intel: add ArcherCity CRB support
Intel ArcherCity CRB is a dual socket CRB with Intel
Sapphire Rapids Scalable Processor chipset. The chipset
also includes EmmitsBurg PCH.
Change-Id: Ic02634cd615e2245e394f10aad24b0430cf5cd17
Signed-off-by: Jonathan Zhang <jonzhang(a)meta.com>
Signed-off-by: Johnny Lin <johnny_lin(a)wiwynn.com>
---
A src/mainboard/intel/archercity_crb/Kconfig
A src/mainboard/intel/archercity_crb/Kconfig.name
A src/mainboard/intel/archercity_crb/Makefile.inc
A src/mainboard/intel/archercity_crb/acpi/platform.asl
A src/mainboard/intel/archercity_crb/board.fmd
A src/mainboard/intel/archercity_crb/board_info.txt
A src/mainboard/intel/archercity_crb/bootblock.c
A src/mainboard/intel/archercity_crb/devicetree.cb
A src/mainboard/intel/archercity_crb/dsdt.asl
A src/mainboard/intel/archercity_crb/include/mainboard_ras.h
A src/mainboard/intel/archercity_crb/include/sprsp_ac_iio.h
A src/mainboard/intel/archercity_crb/ramstage.c
A src/mainboard/intel/archercity_crb/romstage.c
13 files changed, 898 insertions(+), 0 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/68/71968/10
--
To view, visit https://review.coreboot.org/c/coreboot/+/71968
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: Ic02634cd615e2245e394f10aad24b0430cf5cd17
Gerrit-Change-Number: 71968
Gerrit-PatchSet: 10
Gerrit-Owner: Simon Chou <simonchou(a)supermicro.com.tw>
Gerrit-Reviewer: Tim Chu <Tim.Chu(a)quantatw.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Arthur Heymans <arthur(a)aheymans.xyz>
Gerrit-CC: Johnny Lin <Johnny_Lin(a)wiwynn.com>
Gerrit-CC: Patrick Rudolph <patrick.rudolph(a)9elements.com>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Patrick Rudolph <patrick.rudolph(a)9elements.com>
Gerrit-Attention: Johnny Lin <Johnny_Lin(a)wiwynn.com>
Gerrit-Attention: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Tim Chu <Tim.Chu(a)quantatw.com>
Gerrit-MessageType: newpatchset